import { AbstractCreateTransactionHander } from "../AbstractCreateTransactionHander";
export class CreateTypeTransactionHandler extends AbstractCreateTransactionHander {
    addToDefinition(transaction) {
        this.definition.types[transaction.typeId] = {
            typeId: transaction.typeId,
            typeName: transaction.typeName,
            shape: transaction.shape,
        };
    }
    addToParent(transaction) {
        const parent = this.getPackageOrThrow(transaction.parent);
        parent.types.push(transaction.typeId);
    }
    addToGraph(transaction) {
        this.graph.createType(transaction.typeId, { parent: transaction.parent });
    }
}
