import { AbstractDeleteTransactionHander } from "../AbstractDeleteTransactionHander";
export class DeleteTypeTransactionHandler extends AbstractDeleteTransactionHander {
    removeDefinition(transaction) {
        // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
        delete this.definition.types[transaction.typeId];
    }
    removeFromParent(transaction) {
        const parentId = this.graph.getTypeParent(transaction.typeId);
        const parent = this.getPackageOrThrow(parentId);
        const indexOfType = parent.types.indexOf(transaction.typeId);
        if (indexOfType === -1) {
            throw new Error(`Type ${transaction.typeId} does not exist in parent ${parentId}`);
        }
        parent.types.splice(indexOfType, 1);
    }
    removeFromGraph(transaction) {
        this.graph.deleteType(transaction.typeId);
    }
}
